<?php
/***********************************************
* CONTENIDO MODUL - OUTPUT
*
* Modulname        :    Download File
* Author(s)        :    Stefan Seifarth <info@polycoder.de>
* Copyright        :    www.polycoder.de / www.htcm.de
* Created          :    2006-01-07
* CON49 Adaption   :    Viktor Lehmann
* Modified         :    2013-09-02
************************************************/

// check if download file parameter is given
if ( isset($_REQUEST["sse_idupl"]) && !empty($_REQUEST["sse_idupl"]) && (int)$_REQUEST["sse_idupl"] > 0) {
   
	$int_idupl = (int)$_REQUEST["sse_idupl"];
	
	$obj_file = new cApiUpload();
	$obj_file->loadByPrimaryKey( $int_idupl );
	
	// get download path
	$str_downloadpath = $cfgClient[$client]["upl"]["htmlpath"] . $obj_file->get("dirname") . $obj_file->get("filename");
	
	// increase download counter
	$obj_counter = new cApiPropertyCollection();
	$int_counter = $obj_counter->getValue( "upload", $obj_file->get("dirname") . $obj_file->get("filename") , "file" , "counter");
	(int)$int_counter++;
	if ($int_counter == 0) $int_counter = 1;
	
	$obj_counter->setValue("upload", $obj_file->get("dirname") . $obj_file->get("filename"), "file", "counter", $int_counter );
   
   // output file
	header("Content-Type: application/octet-stream");
	header('Content-Disposition: attachment; filename="' . $obj_file->get("filename"). '"');
	header("Content-Transfer-Encoding: binary");
	header("Cache-Control: private",true);
	header("pragma: no-cache");
	header("expires: 0"); 
	
	readfile($cfgClient[$client]["upl"]["path"] . $obj_file->get("dirname") . $obj_file->get("filename"));
} else {
   print '<p>' . mi18n("warning_wrong_parameter") . '</p>';   
}
?>